import React from 'react';
import { AsyncComponent } from 'react-async-wrapper';
import ReactMarkdown from 'react-markdown';

export default (match) => {
  const linkBase = `${match.url}/dynamic-interface`;
  const pathBase = `${match.path}/dynamic-interface`;
  return [
    ['addFamily', '新增两清'],
    ['updateFamily', '修改两清'],
    ['removeFamily', '删除两清'],
  ].map(([name, showName]) => ({
    name,
    showName,
    link: `${linkBase}/${name}`,
    path: `${pathBase}/${name}`,
    component: props => (
      <AsyncComponent asyncComponent={
        () => import(`./${name}.md`).then(md => p => (
          <div style={{
            padding: '1em',
            background: '#fafafa',
          }}
          >
            <ReactMarkdown {...p} {...props} className="markdown-body" source={md} />
          </div>
        ))
      }
      />
    ),
  }));
};

